Bug 286621 - undefined references to quirk_intel_irqbalance
undefined references to quirk_intel_irqbalance
Product: Fedora
Classification: Fedora
Component: kernel-xen-2.6 (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-11 14:28 EDT by Jacek Kobus
Modified: 2008-06-16 22:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:23:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
config file for a guest system (39.52 KB, application/octet-stream)
2007-09-11 14:28 EDT, Jacek Kobus
no flags Details

  None (edit)
Description Jacek Kobus 2007-09-11 14:28:41 EDT
Description of problem:

Compilation of the kernel taken from kernel-xen-2.6-2.6.20-2931.fc7.src.rpm  
breaks with 
/x86_64/kernel/built-in.o: In function `intel_bugs':
early-quirks.c:(.text.intel_bugs+0x28): undefined reference to 

when using a customized config file (attached)

Version-Release number of selected component (if applicable):
kernel-xen 2.6-2.6.20-2931

How reproducible:

Steps to Reproduce:
1. rpm -Uvh kernel-xen-2.6-2.6.20-2931.fc7.src.rpm
2. cd /usr/src/redhat/SPECS/
3. rpmbuild -bp --target `uname -m` kernel-xen.spec
4. cd /usr/src/redhat/BUILD/kernel-2.6.20/linux-2.6.20.x86_64
5. cp /usr/src/configs/config-2.6.20-guest1 .config
6. make oldconfig  #Xen version compatibility 1 chosen
7. make -j6

Actual results:

/x86_64/kernel/built-in.o: In function `intel_bugs':
early-quirks.c:(.text.intel_bugs+0x28): undefined reference to 

Additional info:
Comment 1 Jacek Kobus 2007-09-11 14:28:41 EDT
Created attachment 192821 [details]
config file for a guest system
Comment 2 Bug Zapper 2008-05-14 10:19:47 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:23:06 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.